Bug 1277435 - [abrt] kcalc: QXcbWindow::handleClientMessageEvent(): kcalc killed by SIGSEGV
Summary: [abrt] kcalc: QXcbWindow::handleClientMessageEvent(): kcalc killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kcalc
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Than Ngo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:20a5f3737655d2ec65bfeb59235...
Depends On: 1313811
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-11-03 10:16 UTC by Karel Volný
Modified: 2016-12-20 15:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:19:13 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (43.01 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: core_backtrace (5.43 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: dso_list (17.69 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: environ (1.62 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: exploitable (95 bytes, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: maps (76.46 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: mountinfo (3.16 KB, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: open_fds (570 bytes, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: proc_pid_status (1013 bytes, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details
File: var_log_messages (302 bytes, text/plain)
2015-11-03 10:16 UTC, Karel Volný
no flags Details

Description Karel Volný 2015-11-03 10:16:26 UTC
Description of problem:
After docking the laptop, opening it (waking it up) and unlocking the screen, I got some crash reports ...

Version-Release number of selected component:
kcalc-15.04.2-2.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /bin/kcalc
crash_function: QXcbWindow::handleClientMessageEvent
executable:     /usr/bin/kcalc
global_pid:     8756
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 QXcbWindow::handleClientMessageEvent at qxcbwindow.cpp:1940
 #1 QXcbConnection::handleXcbEvent at qxcbconnection.cpp:1043
 #2 QXcbConnection::processXcbEvents at qxcbconnection.cpp:1487
 #3 QObject::event at kernel/qobject.cpp:1246
 #4 QApplicationPrivate::notify_helper at kernel/qapplication.cpp:3717
 #5 QApplication::notify at kernel/qapplication.cpp:3500
 #6 QCoreApplication::notifyInternal at kernel/qcoreapplication.cpp:965
 #7 QCoreApplication::sendEvent at kernel/qcoreapplication.h:224
 #8 QCoreApplicationPrivate::sendPostedEvents at kernel/qcoreapplication.cpp:1593
 #9 QCoreApplication::sendPostedEvents at kernel/qcoreapplication.cpp:1451

Comment 1 Karel Volný 2015-11-03 10:16:32 UTC
Created attachment 1088877 [details]
File: backtrace

Comment 2 Karel Volný 2015-11-03 10:16:34 UTC
Created attachment 1088878 [details]
File: cgroup

Comment 3 Karel Volný 2015-11-03 10:16:35 UTC
Created attachment 1088879 [details]
File: core_backtrace

Comment 4 Karel Volný 2015-11-03 10:16:37 UTC
Created attachment 1088880 [details]
File: dso_list

Comment 5 Karel Volný 2015-11-03 10:16:39 UTC
Created attachment 1088881 [details]
File: environ

Comment 6 Karel Volný 2015-11-03 10:16:40 UTC
Created attachment 1088882 [details]
File: exploitable

Comment 7 Karel Volný 2015-11-03 10:16:42 UTC
Created attachment 1088883 [details]
File: limits

Comment 8 Karel Volný 2015-11-03 10:16:44 UTC
Created attachment 1088884 [details]
File: maps

Comment 9 Karel Volný 2015-11-03 10:16:46 UTC
Created attachment 1088885 [details]
File: mountinfo

Comment 10 Karel Volný 2015-11-03 10:16:48 UTC
Created attachment 1088886 [details]
File: open_fds

Comment 11 Karel Volný 2015-11-03 10:16:49 UTC
Created attachment 1088887 [details]
File: proc_pid_status

Comment 12 Karel Volný 2015-11-03 10:16:51 UTC
Created attachment 1088888 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2016-11-24 13:02:00 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2016-12-20 15:19:13 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.